<?php
// Konfigurációs fájlok és külső modulok betöltése 
  include("../config/config_program.php");   // Program konfiguráció
  include("../config/config_adatbazis.php"); // Adatbázis konfiguráció
  include("_functions.php");      // Program függvények   
  include("_sql.php");            // SQL kezelő függvények 

// Kapcsolódás az adatbázishoz
  adatbazis();
  
// Fix szövegek betöltése adatbázisból
  $_lekerdezes_szovegek = lekerdezes("SELECT * FROM szovegek");
  while ($_rekord = olvas_asszociativ($_lekerdezes_szovegek)) {
      $szoveg[$_rekord[szoveg_azon]]=$_rekord[szoveg];
  }
  
  header("Content-Type: text/html; charset=".$charset);
?>
<html> 
<head> 
<title>Listázás</title> 
<link rel="StyleSheet" type="text/css" href="../style/szoborpark.css" media="screen">
</head> 
<body>
<div id="bezar" align="center" onClick="top.document.getElementById('kiegeszito').style.visibility = 'hidden'" onMouseOver="this.style.cursor='hand'">Bezáráshoz kattintson ide</div>
<div style="height:20px;"></div>
<!-- <div class="cim">Díjak</div> -->

<?php
    // adatok lekérdezése
    $lekerdezes_dijak = lekerdezes("SELECT * FROM dijak ORDER BY dij_nev");
    // Ha módosítás, akkor az átadott $id hordozza a dijkodot is, amit a $dkodertek-be nyerek ki
    list($dkod,$akod) = split (' AND ',$id);
    list($dkodszov,$dkodertek) = split ('=',$dkod);
    
?>
<form name="dijazas" method="get" action="feldolgozo.php" target="feldolgozo_oldal">
  <input type="hidden" name="do" value="run">
  <input type="hidden" name="sql" value="">
  <input type="hidden" name="command" value="<?php echo $mitcsinal;?>">
  <div class="szoveg" align="center">
    <?php echo $szoveg[evszam]; ?>: <input type="text" name="evszam" size="4" maxlength="4">
    <input type="button" value="Ok" onClick="sqlkeszit(this.form)" class="keresesgomb">
  </div>
  <table border=0 cellpadding=2 cellspacing=0 width=100%>
<?php
    $sorszam = 0;
    while ($rekord = mysql_fetch_assoc($lekerdezes_dijak)) {
       if ($bg=='bright') $bg='dark';
       else $bg='bright';
       echo "   <tr class='".$bg."_on' onClick=\"document.dijazas.dijkod[".$sorszam."].checked=true;\" onmouseover=\"className='".$bg."_over';this.style.cursor='hand';\" onMouseOut=\"className='".$bg."_on'\">\n";
       echo "     <td><input type=\"radio\" name=\"dijkod\" value=\"".$rekord[dij_azon]."\"";
       if ($dkodertek == $rekord[dij_azon]) echo " CHECKED";
       echo ">".$rekord[dij_nev]."</td>\n"; 
       echo "   </tr>\n";
       $sorszam++;
   }  
?>
  </table>
</form>
<script language="Javascript">
function sqlkeszit(urlap) {
  var dk = 0;
  for (var i=0;i<urlap.dijkod.length;i++)
    if (urlap.dijkod[i].checked)
      dk = urlap.dijkod[i].value;
  if (dk == 0)
    window.alert("Válasszon ki egy díjat!");
  else {
    if ((urlap.evszam.value !='') && (isNaN(urlap.evszam.value) || (urlap.evszam.value<1800) || (urlap.evszam.value><?php echo date('Y');?>)) ) {
      window.alert("Helytelen évszám!");
      urlap.evszam.focus();
    }
    else {
      if (urlap.command.value == "insert")
        urlap.sql.value = "INSERT dijazasok VALUES (<?php echo $id;?>, "+dk+", '"+urlap.evszam.value+"')";
      if (urlap.command.value == "update")
        urlap.sql.value = "UPDATE dijazasok SET dij_kod="+dk+", dij_evszam='"+urlap.evszam.value+"' WHERE <?php echo $id;?>";
      top.document.getElementById('feldolgozo').style.visibility = 'visible';
      urlap.submit();
      top.window.location.reload();
    }
  }    
}
</script>
</body>
</html>
